/* eslint-disable */
// @ts-ignore
import { request } from '@/utils/request';

/** 入驻客户列表导出 POST /api/CompanyInsure/CompanyInsuresExport */
export async function companyInsuresExport(
  body: API.GetCompanyInsuresExportInput,
  options?: API.RequestConfig
) {
  return request<any>('/api/CompanyInsure/CompanyInsuresExport', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 新增投保客户信息 POST /api/CompanyInsure/CreateCompanyInsure */
export async function createCompanyInsure(
  body: API.CreateCompanyInsureInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/CompanyInsure/CreateCompanyInsure', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 甲方客户列表导出 POST /api/CompanyInsure/CustomerInfoExport */
export async function customerInfoExport(
  body: API.GetCustomerInfoExportInput,
  options?: API.RequestConfig
) {
  return request<any>('/api/CompanyInsure/CustomerInfoExport', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取企业支付宝账号信息 GET /api/CompanyInsure/GetAlipayAccount */
export async function getAlipayAccount(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetAlipayAccountParams,
  options?: API.RequestConfig
) {
  return request<API.GetAlipayAccount>('/api/CompanyInsure/GetAlipayAccount', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 获取投保客户信息 GET /api/CompanyInsure/GetCompanyInsureById */
export async function getCompanyInsureById(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetCompanyInsureByIdParams,
  options?: API.RequestConfig
) {
  return request<API.CompanyInsureDto>('/api/CompanyInsure/GetCompanyInsureById', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 入驻客户列表 POST /api/CompanyInsure/GetCompanyInsurePagedList */
export async function getCompanyInsurePagedList(
  body: API.GetCompanyInsurePagedListInput,
  options?: API.RequestConfig
) {
  return request<API.CompanyInsureInfoPageOutput>('/api/CompanyInsure/GetCompanyInsurePagedList', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 甲方客户信息列表 POST /api/CompanyInsure/GetCustomerInfoList */
export async function getCustomerInfoList(
  body: API.GetCustomerInfoListInput,
  options?: API.RequestConfig
) {
  return request<API.InsureCustomerInfoPageOutput>('/api/CompanyInsure/GetCustomerInfoList', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 甲方客户列表 POST /api/CompanyInsure/GetInsureCustomers */
export async function getInsureCustomers(
  body: API.GetInsureCustomersInput,
  options?: API.RequestConfig
) {
  return request<API.InsureCustomerModelPageOutput>('/api/CompanyInsure/GetInsureCustomers', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取保险客户 GET /api/CompanyInsure/GetInsureCustomersForSelect */
export async function getInsureCustomersForSelect(options?: API.RequestConfig) {
  return request<API.InsureCustomerDto[]>('/api/CompanyInsure/GetInsureCustomersForSelect', {
    method: 'GET',
    ...(options || {}),
  });
}

/** 获取签约结果 GET /api/CompanyInsure/GetInsureStatusInfo */
export async function getInsureStatusInfo(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetInsureStatusInfoParams,
  options?: API.RequestConfig
) {
  return request<API.GetInsureStatusInfo>('/api/CompanyInsure/GetInsureStatusInfo', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 根据地址获取base64二维码 GET /api/CompanyInsure/GetQrCodeByUrl */
export async function getQrCodeByUrl(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetQrCodeByUrlParams,
  options?: API.RequestConfig
) {
  return request<string>('/api/CompanyInsure/GetQrCodeByUrl', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 甲方客户列表导出 POST /api/CompanyInsure/InsureCustomersExport */
export async function insureCustomersExport(
  body: API.GetCustomersExportInput,
  options?: API.RequestConfig
) {
  return request<any>('/api/CompanyInsure/InsureCustomersExport', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 设置企业支付宝账号 POST /api/CompanyInsure/SetAlipayAccount */
export async function setAlipayAccount(
  body: API.SetAlipayAccountInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/CompanyInsure/SetAlipayAccount', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 编辑投保客户信息 POST /api/CompanyInsure/UpdateCompanyInsure */
export async function updateCompanyInsure(
  body: API.UpdateCompanyInsureInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/CompanyInsure/UpdateCompanyInsure', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}
